Subject: TN5250E Draft

From: Jeff Stevens <[email-masked]>
Date: Wed, 25 Jun 2003 15:35:16 -0500

as previously mentioned...

http://www.ietf.org/internet-drafts/draft-murphy-iser-telnet-00.txt
--
Jeffrey Stevens

---

From: Jeff Stevens <[email-masked]>
Date: Fri, 27 Jun 2003 10:38:14 -0500

On 6/25/2003 5:06 PM, Scott Klement wrote:
> It appears that you've added support for SHA and Kerberos passwords in the
> IBMSUBSPW uservar, and also the IBMSENDCONFREC option.   Is there a
> minimum version of OS/400 required to use these?   Are any PTFs required
> to enable this?   I did not see any mention of this in the draft.

SHA support starts in V5R1 (no PTF's required).
Kerberos support starts V5R2 (no PTF's required).

> Also, at one point in the document, it states:
>
>    A client should either send a negative acknowledgment (WONT NEW-
>    ENVIRON), or at some point after completing terminal-type
>    negotiations, but before completing the full set of negotiations
>    required for 5250 transparent mode, engage in environment option
>    sub-negotiation with the server.
>
> But then later states:
>
>    There are some reasons you may want to send NEW-ENVIRON negotiations
>    prior to TERMINAL-TYPE negotiations.
>    ...
>    The iSeries TELNET server will create the desired virtual device at
>    the first opportunity it thinks it has all the requested attributes
>    needed to create the device.  This can be as early as completion of
>    the TERMINAL-TYPE negotiations.
>
> This is very confusing.  The first paragraph specifically tells me to
> do the NEW-ENVIRON after completing the TERMINAL-TYPE, and the later
> paragraphs seem to tell me that it's important to do the NEW-ENVIRON
> before the TERMINAL-TYPE.   If you're going to issue a new draft of
> this document, it'd be very nice if you could clarify that in the
> document.

What we show most in the RFC are 5250 device examples, which may take a
different negotiations path than 3270/VTxxx devices. For example, 5250
device negotiations "complete" when EOR and BINARY negotiations for
transparent mode are completed, but these are normally missing from
3270/VTxxx negotiations.

You should be able to do your NEW-ENVIRON and TERMINAL-TYPE negotiations
in either order, we simply recommend they be done consecutively so that
they are settled before "other" negotiations (e.g. EOR/BINARY).

I'm not sure how you would have us say this?
--
Jeffrey Stevens